Save uploaded file to existing asset

Be aware that the endpoints described in Step 6 are an Either/Or choice. You should use either the Save as a new asset endpoint to save the uploaded file as a new asset, or the Update existing asset endpoint to update an existing asset with the uploaded file.

post
https://your-bynder-domain/api/v4/media/{id}/save/{importId}

Path Parameters

idstringrequired

Asset id to which to save the uploaded file.
This id must be in requires Bynder’s 32-character 8-4-4-16 GUID format.

Example:00000000-0000-0000-0000000000000000

importIdstringrequired

Import id of a finalised and processed upload to be saved.
This id must be in requires Bynder’s 32-character 8-4-4-16 GUID format.

Example:00000000-0000-0000-0000000000000000

Body

text/plain

Response

201 application/json

Created

post/api/v4/media/{id}/save/{importId}

Body

{}
 
201 application/json

ApiUploadInitResponse

object
multipart_paramsobject
Show Child Parameters
s3_filenamestring

Example:pluploads/api/00000000-0000-0000-0000000000000000/image.jpeg

s3fileobject
Show Child Parameters
target_keystring

Example:pluploads/api/00000000-0000-0000-0000000000000000/image.jpeg

Example

ApiV4Upload500Error1

object
messagestring

Example:Could not complete upload

retryinteger

Example:1

successboolean

Example:false

Example

ApiV4UploadResponse

object
batchIdstring

Example:00000000-0000-0000-0000000000000000

fileobject
Show Child Parameters
filenamestring

Example:final/2ba07d00-586a-4a44-b13c-c58598cfe828/IMG_1874.JPG

importIdstring

Example:000000000-0000-0000-0000000000000000

locationTypestring

Example:s3

outputstring

Example:final/2ba07d00-586a-4a44-b13c-c58598cfe828/

statusstring

Only for chunk registration

Example:ok

successinteger

Example:1

Example

ApiV4UploadResponse1

object
batchIdstring

Example:00000000-0000-0000-0000000000000000

fileobject
Show Child Parameters
filenamestring

Example:final/2ba07d00-586a-4a44-b13c-c58598cfe828/IMG_1874.JPG

importIdstring

Example:000000000-0000-0000-0000000000000000

locationTypestring

Example:s3

outputstring

Example:final/2ba07d00-586a-4a44-b13c-c58598cfe828/

successinteger

Example:1

Example